// MoveProps.cpp : implementation file
//

#include "stdafx.h"
#include "pixelwhippro.h"
#include "MoveProps.h"



/////////////////////////////////////////////////////////////////////////////
// CMoveProps dialog


CMoveProps::CMoveProps(CWnd* pParent /*=NULL*/)
	: CDialog(CMoveProps::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMoveProps)
	m_rtime = 0.0;
	m_velx = 0.0f;
	m_vely = 0.0f;
	m_velz = 0.0f;
	m_accy = 0.0f;
	m_accx = 0.0f;
	m_accz = 0.0f;
	//}}AFX_DATA_INIT
}


void CMoveProps::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMoveProps)
	DDX_Text(pDX, IDC_RTIME, m_rtime);
	DDV_MinMaxDouble(pDX, m_rtime, 0., 9999999.);
	DDX_Text(pDX, IDC_VELX, m_velx);
	DDX_Text(pDX, IDC_VELY, m_vely);
	DDX_Text(pDX, IDC_VELZ, m_velz);
	DDX_Text(pDX, IDC_ACCY, m_accy);
	DDX_Text(pDX, IDC_ACCX, m_accx);
	DDX_Text(pDX, IDC_ACCZ, m_accz);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMoveProps, CDialog)
	//{{AFX_MSG_MAP(CMoveProps)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMoveProps message handlers
